On Tuesday, May 12th, 2009, Microsoft released 7 security updates for Office. The updates address security issues described in Microsoft Security Bulletin MS09-017: Vulnerabilities in Microsoft Office PowerPoint Could Allow Remote Code Execution (967340) (http://www.microsoft.com/technet/security/bulletin/ms09-017.mspx). Excerpt follows.

“This security update resolves a publicly disclosed vulnerability and several privately reported vulnerabilities in Microsoft Office PowerPoint that could allow remote code execution if a user opens a specially crafted PowerPoint file. An attacker who successfully exploited any of these vulnerabilities could take complete control of an affected system. An attacker could then install programs; view, change, or delete data; or create new accounts with full user rights. Users whose accounts are configured to have fewer user rights on the system could be less impacted than users who operate with administrative user rights.

This security update is rated Critical for supported editions of Microsoft Office PowerPoint 2000. For supported editions of Microsoft Office PowerPoint 2002, Microsoft Office PowerPoint 2003, Microsoft Office PowerPoint 2007, Microsoft Office 2004 for Mac, and Microsoft Office 2008 for Mac; Open XML File Format Converter for Mac; all supported versions of PowerPoint Viewer, and Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats; Microsoft Works 8.5; and Microsoft Works 9.0, this security update is rated Important. For more information, see the subsection, Affected and Non-Affected Software.

The security update addresses the vulnerabilities by modifying the way that PowerPoint handles conditions that could cause memory corruption when opening specially crafted PowerPoint files. This update also addresses the vulnerabilities by preventing Microsoft Office PowerPoint 2000 and Microsoft Office PowerPoint 2002 from opening PowerPoint 4.0 native file formats. For more information about the vulnerability, see the Frequently Asked Questions (FAQ) subsection for the specific vulnerability entry under the Vulnerability Information section in Microsoft Security Bulletin MS09-017: Vulnerabilities in Microsoft Office PowerPoint Could Allow Remote Code Execution (967340) (http://www.microsoft.com/technet/security/bulletin/ms09-017.mspx).

This security update also addresses the vulnerability first described in Microsoft Security Advisory 969136 (http://www.microsoft.com/technet/security/advisory/969136.mspx).

Recommendation. Microsoft recommends that customers apply the update immediately.

Affected and Non-Affected Software

The following software has been tested to determine which versions or editions are affected. Other versions or editions are either past their support life cycle or are not affected. To determine the support life cycle for your software version or edition, visit Microsoft Support Lifecycle.

Affected Software 

Office Suite and Other Software

Component

Maximum Security Impact

Aggregate Severity Rating

Bulletins Replaced by this Update

Microsoft Office Suites and Components

 

 

 

 

Microsoft Office 2000 Service Pack 3

Microsoft Office PowerPoint 2000 Service Pack 3
(KB957790)

Remote Code Execution

Critical

MS08-051

Microsoft Office XP Service Pack 3

Microsoft Office PowerPoint 2002 Service Pack 3
(KB957781)

Remote Code Execution

Important

MS08-051

Microsoft Office 2003 Service Pack 3

Microsoft Office PowerPoint 2003 Service Pack 3
(KB957784)

Remote Code Execution

Important

MS08-051

2007 Microsoft Office System Service Pack 1

Microsoft Office PowerPoint 2007 Service Pack 1*
(KB957789)

Remote Code Execution

Important

MS08-051

2007 Microsoft Office System Service Pack 2

Microsoft Office PowerPoint 2007 Service Pack 2*
(KB957789)

Remote Code Execution

Important

None

Microsoft Office for Mac

 

 

 

 

Microsoft Office 2004 for Mac

Not applicable

Remote Code Execution

Important

None

Microsoft Office 2008 for Mac

Not applicable

Remote Code Execution

Important

None

Open XML File Format Converter for Mac

Not applicable

Remote Code Execution

Important

None

Other Office Software

 

 

 

 

PowerPoint Viewer 2003
(KB969615)

Not applicable

Remote Code Execution

Important

MS08-051

PowerPoint Viewer 2007 Service Pack 1 and PowerPoint Viewer 2007 Service Pack 2
(KB970059)

Not applicable

Remote Code Execution

Important

None

Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 1
(KB969618)

Not applicable

Remote Code Execution

Important

MS08-051

Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2
(KB969618)

Not applicable

Remote Code Execution

Important

None

Microsoft Works 8.5

Not applicable

Remote Code Execution

Important

None

Microsoft Works 9.0

Not applicable

Remote Code Execution

Important

None


*For Microsoft Office PowerPoint 2007 Service Pack 1 and Microsoft Office PowerPoint 2007 Service Pack 2, in addition to KB957789, customers also need to install the security update for Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 1 and Microsoft Office Compatibility Pack for Word, Excel, and PowerPoint 2007 File Formats Service Pack 2 (KB969618) to be protected from the vulnerabilities described in this bulletin.”

For more information, see Microsoft Security Bulletin MS09-017 (http://www.microsoft.com/technet/security/bulletin/ms09-017.mspx).

For complete details, see "Microsoft Security Updates for May 2009" for home users and "Microsoft Security Bulletin Summary for May 2009" for IT professionals.